// bluenebula

textures/skygallery/bluenebula_skybox
{
	qer_editorimage env/skygallery/blueneb/blueneb_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 150 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.9 0.9 0.9 120 120 60 1 16
	skyparms env/skygallery/blueneb/blueneb 1024 -
}

//**********************************************************************//
//									//
//	Title  : dustball.shader					//
//	Author : Sock							//
//	Date   : 17th August 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//

textures/skygallery/dustball_skybox
{
	qer_editorimage env/skygallery/dustball/dustball_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 75 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 1.0 0.82 0.733 140 320 40 1 16
	skyparms env/skygallery/dustball/dustball 1024 -
}

//**********************************************************************//
//									//
//	Emerald.shader for Q3Radiant					//
//	by Sock - 22nd August 2000					//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/skygallery/emerald_skybox
{
	qer_editorimage env/skygallery/emerald/emerald_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/emerald/emerald 1024 -
}

// grimmnight

textures/skygallery/grimmnight_skybox
{
	qer_editorimage env/skygallery/grimmnight/grimmnight_rt.tga
	q3map_globaltexture
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.5 0.5 0.4 90 0 40 1 16
	skyparms env/skygallery/grimmnight/grimmnight 256 -

//	{
//		map textures/skygallery/clouds/urt_clouds1.tga
//		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod scale 2 3
//		tcMod scroll 0.005 -0.0125
//	}
}

// interstellar
textures/skygallery/interstellar_skybox
{
	qer_editorimage env/skygallery/interstellar/interstellar_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/interstellar/interstellar 1024 -
}

//**********************************************************************//
//									//
//	Mars.shader for Q3Radiant					//
//	by Sock - 1st August 2000					//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/skygallery/mars_skybox
{
	qer_editorimage env/skygallery/mars/mars_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 75 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 4 3 3 150 135 50 1 16
	skyparms env/skygallery/mars/mars 1024 -
}

// miramar
textures/skygallery/miramar_skybox
{
	qer_editorimage env/skygallery/miramar/miramar_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/miramar/miramar 1024 -
}

// stars
textures/skygallery/stars_skybox
{
	qer_editorimage env/skygallery/stars/stars_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/stars/stars 1024 -
}

// stormydays
textures/skygallery/stormydays_skybox
{
	qer_editorimage env/skygallery/stormydays/stormydays_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/stormydays/stormydays 1024 -
}

//**********************************************************************//
//									//
//	stratosphere.shader for Q3Radiant				//
//	by Sock - 23rd November 2000					//
//									//
//**********************************************************************//

textures/skygallery/stratosphere_skybox
{
	qer_editorimage env/skygallery/stratosphere/stratosphere_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/stratosphere/stratosphere 1024 -
}

// violentdays
textures/skygallery/violentdays_skybox
{
	qer_editorimage env/skygallery/violentdays/violentdays_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/skygallery/violentdays/violentdays 1024 -
}