// stormydays

textures/ut4_kollapse/koll_sky
{
	qer_editorimage env/ut4_kollapse/stormydays_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 100 120 60 1 16
	skyparms env/ut4_kollapse/stormydays 1024 -
}
//cameras

textures/ut4_kollapse/koll_camera1
{
	qer_editorimage textures/ut4_kollapse/camera.jpg
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ut4_kollapse/camera.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

// SLIME!!!

textures/ut4_kollapse/koll_slime
{
	qer_editorimage textures/ut4_kollapse/slime_grn.tga
	q3map_lightimage textures/ut4_kollapse/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

//	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_kollapse/slime_grn.tga
//		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kollapse/slime_grnc.tga
		blendfunc add
//		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kollapse/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
//		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_kollapse/koll_slimecaulk
{
qer_editorimage textures/ut4_kollapse/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}


//nodamage materials


textures/ut4_kollapse/koll_rock1
{
	qer_editorimage textures/ut4_kollapse/ft_rocky_01.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kollapse/ft_rocky_01.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kollapse/koll_rock2
{
	qer_editorimage textures/ut4_kollapse/ft_rocky_02.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kollapse/ft_rocky_02.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kollapse/koll_floor_grate
{
	qer_editorimage textures/ut4_kollapse/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
	cull none
        nopicmip

	{
		map textures/ut4_kollapse/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_kollapse/koll_floor_metal1
{
	qer_editorimage textures/ut4_kollapse/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kollapse/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kollapse/koll_floor_metal2
{
	qer_editorimage textures/ut4_kollapse/pr_metal060.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kollapse/pr_metal060.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kollapse/koll_girder
{
	qer_editorimage textures/ut4_kollapse/soc_032-10a.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kollapse/soc_032-10a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kollapse/koll_girder2
{
	qer_editorimage textures/ut4_kollapse/soc_064-20a.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kollapse/soc_064-20a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}


//glass slippery, no damage

textures/ut4_kollapse/koll_glass_slip
{
	qer_editorimage textures/ut4_kollapse/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kollapse/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//glass: NOT slippery, no damage

textures/ut4_kollapse/koll_glass_noslip
{
	qer_editorimage textures/ut4_kollapse/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kollapse/tinfx.tga
		tcgen environment
		blendfunc GL_ONE GL_ONE
	}

}

//pass-thru glass

textures/ut4_kollapse/koll_glass_pass
{
	qer_editorimage textures/ut4_kollapse/shiny3.tga
	qer_trans 0.2
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kollapse/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//Lighting

textures/ut4_kollapse/koll_panel_1500
{
	qer_editorimage textures/ut4_kollapse/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kollapse/koll_panel_1k
{
	qer_editorimage textures/ut4_kollapse/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//lasers

textures/ut4_kollapse/koll_las_green1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 300
	qer_editorimage textures/ut4_kollapse/laser_green1.jpg
	{
		animmap 12 textures/ut4_kollapse/laser_green1.jpg textures/ut4_kollapse/laser_green3.jpg textures/ut4_kollapse/laser_green1.jpg textures/ut4_kollapse/laser_green2.jpg textures/ut4_kollapse/laser_green4.jpg textures/ut4_kollapse/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kollapse/koll_las_red1
{
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300
	qer_editorimage textures/ut4_kollapse/laser_red1.jpg
	{
		animmap 12 textures/ut4_kollapse/laser_red1.jpg textures/ut4_kollapse/laser_red3.jpg textures/ut4_kollapse/laser_red1.jpg textures/ut4_kollapse/laser_red2.jpg textures/ut4_kollapse/laser_red4.jpg textures/ut4_kollapse/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kollapse/koll_las_redpass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 300
	qer_editorimage textures/ut4_kollapse/laser_red1.jpg
	{
		animmap 12 textures/ut4_kollapse/laser_red1.jpg textures/ut4_kollapse/laser_red3.jpg textures/ut4_kollapse/laser_red1.jpg textures/ut4_kollapse/laser_red2.jpg textures/ut4_kollapse/laser_red4.jpg textures/ut4_kollapse/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}


//soc textures

//**********************************************************************//
// LIGHT 064 - 03 : Double big lights	 				//
//**********************************************************************//
textures/ut4_kollapse/koll_lig_064b2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_064r2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_064y2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_ropB2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_ropR2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_ropY2k
{
	qer_editorimage textures/ut4_kollapse/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_kollapse/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kollapse/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kollapse/koll_lig_128y2k
{
	qer_editorimage textures/ut4_kollapse/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_kollapse/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kollapse/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_kollapse/koll_jpblue
{
	qer_editorimage textures/ut4_kollapse/soc_jp01c.tga
	q3map_lightimage textures/ut4_kollapse/soc_jumppadsmall_b.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_kollapse/soc_blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_kollapse/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_kollapse/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_kollapse/koll_jpred
{
	qer_editorimage textures/ut4_kollapse/soc_jp01c.tga
	q3map_lightimage textures/ut4_kollapse/soc_jumppadsmall_r.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_kollapse/soc_red_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_kollapse/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_kollapse/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_kollapse/koll_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 200
	qer_editorimage textures/ut4_kollapse/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_kollapse/soc_blue_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kollapse/koll_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 200
	qer_editorimage textures/ut4_kollapse/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_kollapse/soc_red_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

//Fence

textures/ut4_kollapse/koll_fence
{
	qer_editorimage textures/ut4_kollapse/fence.tga
	surfaceparm trans
	surfaceparm nonsolid		
	cull none
        nopicmip

	{
		map textures/ut4_kollapse/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ladderclip form UrT

textures/ut4_kollapse/koll_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

